package projectzombie.inventory.recipe;

import projectzombie.inventory.Inventory;
import projectzombie.util.ItemStack;
import projectzombie.inventory.Crafting;

public interface Recipe
{
	public ItemStack getResult();
	public boolean canCraft(Crafting tool);
	public boolean hasResourcesToCraft(Inventory inventory);
	public ItemStack craftResult(Inventory inventory);
	public ItemStack[] getIngredients();
}
